> For the complete documentation index, see [llms.txt](https://docs.sealights.io/knowledgebase/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sealights.io/knowledgebase/setup-and-configuration/troubleshooting-faq/node-javascript/merge-multiple-nyc-coverage-files-into-one.md).

# Merge multiple NYC coverage files into one

### Problem <a href="#problem" id="problem"></a>

Sending multiple coverage files to SeaLights might have a network cost and we will often prefer sending only one files. In order to do that, we will need to first merge all the NYC coverage files into one and then send it to SeaLights.

### Solution <a href="#solution" id="solution"></a>

1. Install the istanbul-merge package

{% code overflow="wrap" lineNumbers="true" %}

```
npm install istanbul-merge
```

{% endcode %}

1. Make a string variable including all the files to merge

{% code overflow="wrap" lineNumbers="true" %}

```
json_files=$(find . ~+ -name "*.json" -print)
```

{% endcode %}

1. Run the merge command

{% code overflow="wrap" lineNumbers="true" %}

```
istanbul-merge --out coverage.raw.json "$json_files"
```

{% endcode %}

1. Upload the file to SeaLights

{% code overflow="wrap" lineNumbers="true" %}

```
./node_modules/.bin/slnodejs nycReport --tokenfile /path/to/sltoken.txt --buildsessionidfile buildSessionId --report/path/to/coverage.raw.json
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/troubleshooting-faq/node-javascript/merge-multiple-nyc-coverage-files-into-one.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
